exstars(3)

NAME
exstars - 3d starfield and lightsourced spaceship. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

Example exstars

DESCRIPTION
This program draws a 3D starfield (depth-cued) and a polygon starship (controllable with the keyboard cursor keys), using the Allegro math functions.

SEE ALSO
BITMAP(3), END_OF_MAIN(3), MATRIX(3), PALETTE(3), SCREEN_H(3), SCREEN_W(3), allegro_error(3), allegro_init(3), allegro_message(3), apply_matrix(3), blit(3), clear_bitmap(3), create_bitmap(3), cross_product(3), destroy_bitmap(3), dot_product(3), fixed(3), fixmul(3), fixtof(3), fixtoi(3), font(3), get_rotation_matrix(3), get_transformation_matrix(3), get_translation_matrix(3), install_keyboard(3), install_timer(3), itofix(3), key(3), normalize_vector(3), palette_color(3), persp_project(3), poll_keyboard(3), putpixel(3), rectfill(3), screen(3), set_gfx_mode(3), set_palette(3), set_projection_viewport(3), textout_centre_ex(3), textprintf_centre_ex(3), triangle(3), vsync(3)